export declare class Comparator<T = number> {
    private compare;
    constructor(compareFn?: (a: T, b: T) => number);
    isEqual(a: T, b: T): boolean;
    isLessThan(a: T, b: T): boolean;
    isGreaterThan(a: T, b: T): boolean;
    isLessThanOrEqual(a: T, b: T): boolean;
    isGreaterThanOrEqual(a: T, b: T): boolean;
}
